Package org.apache.coyote.ajp

## Class AjpAprProtocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.ajp.AbstractAjpProtocol<java.lang.Long>
    - - org.apache.coyote.ajp.AjpAprProtocol

All Implemented Interfaces:
  `javax.management.MBeanRegistration`, `ProtocolHandler`

    @Deprecated
    public class AjpAprProtocol
    extends AbstractAjpProtocol<java.lang.Long>

Deprecated.
The APR/Native Connector will be removed in Tomcat 10.1.x onwards.
This the APR/native based protocol handler implementation for AJP.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

`AbstractProtocol.ConnectionHandler<S>, AbstractProtocol.RecycledProcessors`

### Field Summary

### Fields inherited from class org.apache.coyote.ajp.AbstractAjpProtocol

`sm`

### Fields inherited from class org.apache.coyote.AbstractProtocol

`adapter, domain, mserver, oname, processorCache, rgOname`

### Constructor Summary

Constructors
`AjpAprProtocol()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`protected Log` `getLog()` Deprecated. Concrete implementations need to provide access to their logger to be used by the abstract classes.
`protected java.lang.String` `getNamePrefix()` Deprecated. Obtain the prefix to be used when construction a name for this protocol handler.
`int` `getPollTime()` Deprecated.
`boolean` `isAprRequired()` Deprecated. Requires APR/native library
`void` `setPollTime​(int pollTime)` Deprecated.

### Methods inherited from class org.apache.coyote.ajp.AbstractAjpProtocol

`addSslHostConfig, addSslHostConfig, addUpgradeProtocol, createProcessor, createUpgradeProcessor, findSslHostConfigs, findUpgradeProtocols, getAjpFlush, getAllowedRequestAttributesPattern, getAllowedRequestAttributesPatternInternal, getDesiredBufferSize, getEndpoint, getNegotiatedProtocol, getPacketSize, getProtocolName, getRequiredSecret, getSecret, getSecretRequired, getTomcatAuthentication, getTomcatAuthorization, getUpgradeProtocol, setAjpFlush, setAllowedRequestAttributesPattern, setPacketSize, setRequiredSecret, setSecret, setSecretRequired, setTomcatAuthentication, setTomcatAuthorization, start`

### Methods inherited from class org.apache.coyote.AbstractProtocol

`addWaitingProcessor, awaitConnectionsClose, closeServerSocketGraceful, destroy, getAcceptCount, getAcceptorThreadCount, getAcceptorThreadPriority, getAdapter, getAddress, getClientCertProvider, getConnectionCount, getConnectionLinger, getConnectionTimeout, getDomain, getExecutor, getGlobalRequestProcessorMBeanName, getHandler, getId, getKeepAliveTimeout, getLocalPort, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getObjectName, getPort, getPortOffset, getPortWithOffset, getProcessorCache, getProperty, getTcpNoDelay, getThreadPriority, getUtilityExecutor, getWaitingProcessorCount, init, isPaused, isSendfileSupported, pause, postDeregister, postRegister, preDeregister, preRegister, removeWaitingProcessor, resume, setAcceptCount, setAcceptorThreadCount, setAcceptorThreadPriority, setAdapter, setAddress, setClientCertProvider, setConnectionLinger, setConnectionTimeout, setExecutor, setHandler, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setPortOffset, setProcessorCache, setProperty, setTcpNoDelay, setThreadPriority, setUtilityExecutor, startAsyncTimeout, stop, stopAsyncTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AjpAprProtocol

    public AjpAprProtocol()

Deprecated.

### Method Detail

#### getLog

    protected Log getLog()

Deprecated.
Description copied from class: `AbstractProtocol`
Concrete implementations need to provide access to their logger to be used by the abstract classes.

Specified by:
  `getLog` in class `AbstractProtocol<java.lang.Long>`
Returns:
  the logger

#### isAprRequired

    public boolean isAprRequired()

Deprecated.
Description copied from interface: `ProtocolHandler`
Requires APR/native library

Specified by:
  `isAprRequired` in interface `ProtocolHandler`
Overrides:
  `isAprRequired` in class `AbstractProtocol<java.lang.Long>`
Returns:
  `true` if this Protocol Handler requires the APR/native library, otherwise `false`

#### getPollTime

    public int getPollTime()

Deprecated.

#### setPollTime

    public void setPollTime​(int pollTime)

Deprecated.

#### getNamePrefix

    protected java.lang.String getNamePrefix()

Deprecated.
Description copied from class: `AbstractProtocol`
Obtain the prefix to be used when construction a name for this protocol handler. The name will be prefix-address-port.

Specified by:
  `getNamePrefix` in class `AbstractProtocol<java.lang.Long>`
Returns:
  the prefix